> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create



## OpenAPI

````yaml api-reference/openapi.yaml post /api/v1/comments/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/comments/:
    post:
      tags:
        - Comments
      summary: Create
      operationId: comments_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CommentWrite'
            examples:
              ReportRankCommentExample:
                value:
                  content_type: report
                  object_id: af2458ce-dce9-42a5-bf4b-13ff91dc48dc
                  tag: rank
                  text: Hi, this comment is extremely valuable
                summary: Report Rank Comment Example
                description: >-
                  Example of common parameters creating a comment attached to
                  `Report id=af2458ce` with sub category `report__rank`
              ReportAttitudeCommentExample:
                value:
                  content_type: report_attitude
                  object_id: 2f6b320d-4049-4c80-80bc-2f89751d19f3
                  text: Hi, this comment is extremely valuable
                summary: Report Attitude Comment Example
                description: >-
                  Example of common parameters creating a comment attached to
                  `Report attitude id=2f6b320d`
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommentRead'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    CommentWrite:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        content_type:
          type: string
          maxLength: 25
        object_id:
          type: string
          format: uuid
        tag:
          type: string
          nullable: true
          maxLength: 50
        text:
          type: string
        parent:
          type: string
          format: uuid
          nullable: true
      required:
        - content_type
        - id
        - object_id
    CommentRead:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        content_type:
          type: string
          maxLength: 25
        commenter:
          allOf:
            - $ref: '#/components/schemas/User'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        object_id:
          type: string
          format: uuid
        tag:
          type: string
          nullable: true
          maxLength: 50
        text:
          type: string
        parent:
          type: string
          format: uuid
          nullable: true
      required:
        - commenter
        - content_type
        - created_at
        - id
        - object_id
        - updated_at
    User:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        full_name:
          type: string
          maxLength: 250
        email:
          type: string
          format: email
          title: Email address
          maxLength: 255
        first_name:
          type: string
          nullable: true
          maxLength: 50
        last_name:
          type: string
          nullable: true
          maxLength: 100
      required:
        - email
        - full_name
        - id
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````